REST APIEnterpriseEnterprise Webhooks

GET

Simulate a bank account webhook for testing purposes. To call this endpoint, you must have the user_manage scope on a short-lived access token created either in the web app or programmatically using the Login endpoint.

Path Params

  • enterpriseId string required

    matches ^[0-9a-f]{32}$

  • webhookId string required

    at least 1 characters · matches ^[0-9a-f]{32}$

  • bankaccountId string required

    at least 1 characters · matches ^[0-9a-f]{32}$

Responses

200
OK

Response Body

object

  • webhookNotifications array of objects required
    webhookNotifications object
    • id string required

      matches ^[0-9a-f]{32}$

    • type string enum
      Event type to listen to.
      txRequesttxRequestTransactiontransfertransactiontransactionRemovedtransactionExpirependingapprovalblockadminaddress_confirmationlowFeecircuitBreakerlowFeeAddressBalancewallet_confirmationbankAccountuserKycStateenterpriseKycStateidentityStatusidvStatusaccessTokenaccountCreatedcontractSignedkycResultpolicyBalanceChangereversaltransaction_finality_on_l1stuckTxtradeOrderunspentExpirytwoStepTransfertwoStepDeposittwoStepWithdrawal
    • wallet string
    • url string
    • hash string
    • coin string
      A cryptocurrency or token ticker symbol.
    • coinChain string
    • transfer string
    • state string enum
      If "failed", webhook notification failed to connect with the target URL. If "new", webhook notification was newly generated, in response to an event. If "pending", webhook notification is awaiting processing by the webhook worker. If "processed", webhook notification successfully sent to target URL. If "unconfirmed", webhook notification is awaiting confirmation on the blockchain.
      unconfirmednewpendingprocessedfailed
    • simulation boolean
    • retries number
    • webhook string
    • updatedAt string date-time
    • nextAttempt string date-time
    • version number
    • allowBlockedHosts boolean
    • heightToConfirm number
    • payload string
    • response object
      response object
      • code number or string
      • type string
      • body string
      • error string
400
Bad Request

Response Body

object

  • name string
    Error code
  • context map of objects required
    Properties that apply to a specific error name
    context object
    • <key> object
  • error string required
    Human-readable error message
  • requestId string required
    Client request id
401
Unauthorized

Response Body

object

  • name string
    Error code
  • context map of objects required
    Properties that apply to a specific error name
    context object
    • <key> object
  • error string required
    Human-readable error message
  • requestId string required
    Client request id
403
Forbidden

Response Body

object

  • name string
    Error code
  • context map of objects required
    Properties that apply to a specific error name
    context object
    • <key> object
  • error string required
    Human-readable error message
  • requestId string required
    Client request id